package com.jkcredit.invoice.mapper.customer;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.CustomerRecharge;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CustomerRechargeMapper extends BaseMapper<CustomerRecharge> {

    IPage<List<CustomerRecharge>> selectAllByPage(Page page, @Param("customerRecharge") CustomerRecharge customer);

    int deleteByPrimaryKey(Integer id);

    int insert(CustomerRecharge record);

    int insertSelective(CustomerRecharge record);

    CustomerRecharge selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(CustomerRecharge record);

    int updateByPrimaryKey(CustomerRecharge record);
}